#include "testlib.h"
#include <bits/stdc++.h>
 
using namespace std;
 
int main(int argc, char** argv) {
	registerValidation(argc, argv);
	const int minTests = 1, maxTests = 1000;
	const int minEdge = 1, maxEdge = int(1e9);
	int t = inf.readInt(minTests, maxTests, "t");
	inf.readEoln();
	for (int test = 1; test <= t; ++test)
	{
	    setTestCase(test);
	    
		int left = inf.readInt(minEdge, maxEdge, "l");
		inf.readSpace();
		int right = inf.readInt(left, maxEdge, "r");
		inf.readEoln();
	}
	inf.readEof();
	return 0;
}